import java.util.Collection;
import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.TemporalType;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public Collection<Professor> findProfessorsHiredDuringPeriod(Date start, Date end) {
    return (Collection<Professor>) 
        em.createQuery("SELECT e " +
                       "FROM Professor e " +
                       "WHERE e.startDate BETWEEN :start AND :end")
          .setParameter("start", start, TemporalType.DATE)
          .setParameter("end", end, TemporalType.DATE)
          .getResultList();
}

}
